japa.parser.ast.comments

## Class CommentsCollection

- java.lang.Object
- - japa.parser.ast.comments.CommentsCollection

    public class CommentsCollection
    extends Object

Set of comments produced by CommentsParser.

### Constructor Summary

Constructors
Constructor and Description
`CommentsCollection()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addComment(BlockComment blockComment)`
`void` `addComment(JavadocComment javadocComment)`
`void` `addComment(LineComment lineComment)`
`boolean` `contains(Comment comment)`
`List<Comment>` `getAll()`
`List<BlockComment>` `getBlockComments()`
`List<JavadocComment>` `getJavadocComments()`
`List<LineComment>` `getLineComments()`
`CommentsCollection` `minus(CommentsCollection other)`
`int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommentsCollection

    public CommentsCollection()

### Method Detail

#### getLineComments

    public List<LineComment> getLineComments()

#### getBlockComments

    public List<BlockComment> getBlockComments()

#### getJavadocComments

    public List<JavadocComment> getJavadocComments()

#### addComment

    public void addComment(LineComment lineComment)

#### addComment

    public void addComment(BlockComment blockComment)

#### addComment

    public void addComment(JavadocComment javadocComment)

#### contains

    public boolean contains(Comment comment)

#### getAll

    public List<Comment> getAll()

#### size

    public int size()

#### minus

    public CommentsCollection minus(CommentsCollection other)